Bug 42388 - UCS 4.1: UMC - make automatic substring search in UDM module configurable
UCS 4.1: UMC - make automatic substring search in UDM module configurable
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-3-errata
Assigned To: Florian Best
Alexander Kläser
:
Depends on: 37904 42181
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-14 12:40 CEST by Florian Best
Modified: 2016-12-06 17:04 CET (History)
8 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.046
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback, Large environments, Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-09-14 12:40:33 CEST
Merge to UCS 4.1:
+++ This bug was initially created as a clone of Bug #42181 +++

(in UCS 3.X) UMC assumes all searches as subtring. 

(in UCS 4.1) In Bug #37904 EQ search is added to the default search filter. 

For simple purposes, a backport to UCS 3.X of Bug #37904 is enough, but I would add options so that the user can specify the form of search they desire (eg: according to the indices they have defined in slapd.conf) and not only EQ and SUBSTR.



+++ This bug was initially created as a clone of Bug #37904 +++

Noted during a technical training: It's not possible to search by GID: 

- Open the "Groups" module in the UMC
- Select "Advanced Options" and the property "Group ID"
- Enter thr GID of an existing group (e.g. 5001 which is usually Domain Users")

-> No result in found.
Comment 1 Florian Best univentionstaff 2016-09-14 13:20:53 CEST
univention-management-console-module-udm (6.0.11-25):
r72580 | Bug #42388: make wildcard and substring search configurable

univention-management-console-module-udm.yaml:
r72581 | YAML Bug #42388 Bug #42386
Comment 2 Florian Best univentionstaff 2016-09-14 13:23:27 CEST
UCS 4.2:

univention-management-console-module-udm (7.0.1-4):
r72578 | Bug #42388: make wildcard and substring search configurable
Comment 3 Alexander Kläser univentionstaff 2016-09-20 11:10:34 CEST
Changes: OK
YAML file: OK, fixed typo in bug list [r72679]

→ VERIFIED
Comment 4 Janek Walkenhorst univentionstaff 2016-09-21 14:30:28 CEST
<http://errata.software-univention.de/ucs/4.1/271.html>
Comment 5 Philipp Hahn univentionstaff 2016-12-06 17:04:07 CET
2 new UCR variables were added, which are documented very sparsely and not referenced by either this bug nor the linked errata description. So here's the missing documentation:

 directory/manager/web/auto_substring_search:
  By default '*' gets added at the beginning and at the end of every search value converting it automatically to a sub-string search.
  This breaks LDAP attributes which have no SUBSTR search defined, e.g.
   univention-ldapsearch -LLLo ldif-wrap=no -s base -b cn=Subschema attributeTypes | grep -v SUBSTR
 Therefore this can be disabled by setting it explicitly to 'false'.
 

 directory/manager/web/allow_wildcard_search:
  This setting can be used to disable wildcard search completely.
  Substring searches are a lot more expensive in large environments.
  If explicitly set to 'false', '*' is escaped and thus handled as a normal character.